Returns the increment component of this TimestampInterface

- « MongoDB\BSON\TimestampInterface

- MongoDB\BSON\TimestampInterface::getTimestamp »

- PHP Manual
- MongoDB\BSON\TimestampInterface
- Returns the increment component of this TimestampInterface

# MongoDB\BSON\TimestampInterface::getIncrement

(mongodb >=1.3.0)

MongoDB\BSON\TimestampInterface::getIncrement — Returns the increment component of this TimestampInterface

### Description

abstract public MongoDB\BSON\TimestampInterface::getIncrement(): int

### Parameters

This function has no parameters.

### Return Values

Returns the increment component of this TimestampInterface.

Warning

On 32-bit systems this method may return a negative number. Although the increment and timestamp parts of the BSON timestamp type consists of two unsigned 32-bit values, PHP can not represent these on 32-bit platforms.

### See Also

- MongoDB\BSON\Timestamp::getIncrement() - Returns the increment component of this Timestamp